@echo off

rem The Craft Basic RUN command may be used to execute batch files.
rem Parameters may be passed to the batch files.

rem When using RUN, the first parameter is the file to execute.
rem All following parameters separated by commas are combined to one output.
rem Combined output may contain quoted text, expressions, and the COMMA keyword.
rem Using RUN with a batch file such as this, data may be piped to files.

rem The DOS echo command uses > to overwrite/create and >> to append.
rem RUN is different than the DOS QBASIC style shell command.
rem Text is delimited by spaces and must be accepted as suh by the batch file.
rem For each group of characters between spaces, the batch must have command line arguments.
rem Some symbols including commas also thrown out by Windows.

rem Batch command line arguments are in the order of %1, %2, %3, etc...
rem If the file doesn't exist, it is created.

rem Example usage: run "args.bat","test expression 2+10/2:",2+10/2

rem The code below accepts up to four arguments and appends them to args.dat file.

echo %1 %2 %3 %4 >> args.dat