rem Adult BMI (Body Mass Index) Calculator
precision 6

define system, weight, height, feet, inches, bmi

input "1) Metric 2) English", system

if system = 1 then

	input "Enter your weight (kg)", weight
	input "Enter your height (m)", height

	let bmi = weight / (height ^ 2)

else

	if system = 2 then

		input "Enter your weight (lb)", weight
		input "Enter your height (ft)", feet
		input "Enter your height (in)", inches

		let height = (feet * 12) + inches

		let bmi = 703 * (weight / (height ^ 2))

	endif

endif

print "Your BMI: ", bmi

if bmi <= 18.4 then

	print "You are underweight."

else

	if bmi > 18.4 and bmi < 25 then

		print "You are healthy."

	else

		if bmi >= 25 and bmi < 30 then

			print "You are overweight."

		else

			if bmi >= 30 then

				print "You are obese."

			endif

		endif

	endif

endif

