'rocket.bas by Brian Tung
'Modified to work with Craft Basic

precision 8

let a = 1.032

print "Earth gravity in light-years per year squared: ", a
input "Distance in light-years (0-100 million): ", d

if d < 0 or d > 100000000 then

	print "Distance must be between 0 and 100 million l-y"

else

	let d1 = d / 2
	let t = sqrt(d1 * d1 + (2 * d1 / a))
	let x = a * t
	let m = 1

	if x < 0 then

		let m = -1

	endif

	let s = log(abs(x) + 1)
	let s1 = s + 1

	do

		let x1 = (exp(s) - exp(s * -1)) / 2 - abs(x)
		let s1 = x1 / (exp(s) + exp(s * -1)) / 2
		let s = s - s1

	loop abs(s1) > .0000001

	let t1 = 1 / a * s * m
	let v = a * t / sqrt(1 + (a * t) * (a * t))

	print "Time on Earth: ", 2 * t, " years"
	print "Time on board: ", 2 * t1, " years"

endif

