'https://rosettacode.org/wiki/Sieve_of_Eratosthenes

define limit = 120

dim flags[limit]

for n = 2 to limit

	let flags[n] = 1

next n

print "prime numbers less than or equal to ", limit ," are:"

for n = 2 to sqrt(limit)

	if flags[n] = 1 then

		for i = n * n to limit step n

			let flags[i] = 0

		next i

	endif

next n

for n = 1 to limit

	if flags[n] = 1 then

		print n, " ",

	endif

next n



